# This file was autogenerated by uv via the following command:
#    uv pip compile pyproject.toml --extra dev -o requirements.txt
annotated-types==0.7.0
    # via pydantic
anyio==4.11.0
    # via httpx
certifi==2025.11.12
    # via
    #   httpcore
    #   httpx
grpcio==1.76.0
    # via qdrant-client
h11==0.16.0
    # via httpcore
h2==4.3.0
    # via httpx
hpack==4.1.0
    # via h2
httpcore==1.0.9
    # via httpx
httpx==0.28.1
    # via qdrant-client
hyperframe==6.1.0
    # via h2
idna==3.11
    # via
    #   anyio
    #   httpx
iniconfig==2.3.0
    # via pytest
numpy==2.3.5
    # via qdrant-client
packaging==25.0
    # via pytest
pluggy==1.6.0
    # via pytest
portalocker==3.2.0
    # via qdrant-client
protobuf==6.33.1
    # via qdrant-client
pydantic==2.12.4
    # via qdrant-client
pydantic-core==2.41.5
    # via pydantic
pygments==2.19.2
    # via pytest
pyside6==6.8.3
    # via semeion (pyproject.toml)
pyside6-addons==6.8.3
    # via pyside6
pyside6-essentials==6.8.3
    # via
    #   pyside6
    #   pyside6-addons
pytest==9.0.1
    # via semeion (pyproject.toml)
qdrant-client==1.16.1
    # via semeion (pyproject.toml)
shiboken6==6.8.3
    # via
    #   pyside6
    #   pyside6-addons
    #   pyside6-essentials
sniffio==1.3.1
    # via anyio
typing-extensions==4.15.0
    # via
    #   grpcio
    #   pydantic
    #   pydantic-core
    #   typing-inspection
typing-inspection==0.4.2
    # via pydantic
urllib3==2.5.0
    # via qdrant-client
